## drkonqi 6.5.1+p24.04+vstable+git20251029.0626

=== debian/changelog ===
drkonqi (6.5.1+p24.04+vstable+git20251029.0626-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:26:16 +0000

drkonqi (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:38:36 +0000

=== debian/control ===
Source: drkonqi
Section: kde
Priority: optional
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake,
               dbus-x11,
               debhelper-compat (= 13),
               elfutils,
               gdb,
               gettext,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-kjobwidgets-dev,
               kf6-knotifications-dev,
               kf6-kservice-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kuserfeedback-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-syntax-highlighting-dev,
               libpolkit-qt6-1-dev,
               libsystemd-dev,
               pkg-kde-tools-neon,
               python3-dev,
               python3-psutil,
               python3-pygdbmi,
               python3-sentry-sdk,
               qt6-base-dev,
               qt6-declarative-dev,
               systemd-coredump,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/drkonqi
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/kde/drkonqi.git
Vcs-Browser: https://invent.kde.org/neon/kde/drkonqi
Maintainer: Neon CI <neon@kde.org>

Package: drkonqi
Architecture: any
Depends: elfutils,
         gdb,
         kf6-kirigami,
         kf6-kitemmodels,
         kf6-syntax-highlighting,
         python3-psutil,
         python3-pygdbmi,
         python3-sentry-sdk,
         systemd-coredump,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Crash handler for Qt applications
 Drkonqi shows a dialog for dealing with application crashes.
 .
 Drkonqi also doesn't technically require a process to actually crash, you
 can simply run it manually on any old pid. Do note that in most cases you
 only need to define the pid, however not giving certain cmdline options can
 change behavior somewhat drastically (e.g. kdeinit vs. notkdeinit behaves
 radically different as far as process name detection goes) . Drkonqi has a
 number of backends that may be used. Backends are stacked by order of
 preference, backends in the directory of the binary are most preferred.
 This means that you can dump debuggers/internal/ into your build's bin/
 directory and override for example gdb. This essentially allows you to
 replace the gdb debugger with a cat of a fixture file to not have to trace
 live processes at all.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

QT6_CMAKE_ARGS = -DWITH_PYTHON_VENDORING=OFF -DWITH_GDB12=TRUE

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- $(QT6_CMAKE_ARGS)

## drkonqi 6.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(drkonqi)
set(PROJECT_VERSION "6.5.2")

set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMMarkAsTest)
include(CheckFunctionExists)
include(FeatureSummary)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMFindQmlModule)
include(ECMSourceVersionControl)
include(CMakeDependentOption)
include(FindPythonModule)

option(WITH_PYTHON_VENDORING "Python dependency vendoring (cmake will install python dependencies into drkonqi's python tree)" ON)

kde_enable_exceptions()

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Widgets DBus Concurrent Quick)

if(BUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Test)
endif()

find_package(
    KF6
    ${KF6_MIN_VERSION}
    REQUIRED
    COMPONENTS
        I18n
        CoreAddons
        Config
        Service
        JobWidgets
        KIO
        Crash
        WidgetsAddons
        Wallet
        Notifications
        IdleTime
        WindowSystem
        SyntaxHighlighting
        StatusNotifierItem
)

ecm_find_qmlmodule(org.kde.kirigami 2.20)
ecm_find_qmlmodule(org.kde.kitemmodels 1.0)
ecm_find_qmlmodule(org.kde.syntaxhighlighting 1.0)

find_package(Python3 3.11 COMPONENTS Interpreter)

find_pythonmodule(psutil)
find_pythonmodule(sentry_sdk)

find_package(GDB 12)
set_package_properties(GDB PROPERTIES TYPE RUNTIME PURPOSE "GDB is required for debugging")

find_package(eu-unstrip)
set_package_properties(eu-unstrip PROPERTIES TYPE RUNTIME PURPOSE "eu-unstrip is required for debugging")

ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.240
)

find_package(Systemd 254)
set_package_properties(Systemd PROPERTIES TYPE REQUIRED PURPOSE "Coredumpd integration.")

find_package(PolkitQt6-1) # This is only used when extracting crashes from coredumpd
set_package_properties(PolkitQt6-1 PROPERTIES TYPE REQUIRED PURPOSE "Reading kwin_wayland crashes")

find_package(coredumpctl)
set_package_properties(
    coredumpctl
    PROPERTIES
    TYPE RUNTIME
    DESCRIPTION "coredumpd CLI. part of systemd"
    PURPOSE "Required for coredumpd support to work at runtime!"
)

add_subdirectory(src)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_qt_install_logging_categories(
    EXPORT DRKONQI
    FILE drkonqi.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/sentry/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2023 Harald Sitter <sitter@kde.org>

add_subdirectory(lib)
add_subdirectory(data)
add_subdirectory(postman)

=== src/systemd/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2025 Harald Sitter <sitter@kde.org>

set(SYSTEMD_DBUS_XMLS
    org.freedesktop.systemd1.Manager.xml
    org.freedesktop.systemd1.Unit.xml
    org.freedesktop.DBus.Properties.xml
)

set_source_files_properties(${SYSTEMD_DBUS_XMLS} PROPERTIES INCLUDE dbustypes.h)
qt_add_dbus_interfaces(dbus_SRCS ${SYSTEMD_DBUS_XMLS})

add_library(systemd-dbus OBJECT ${dbus_SRCS})
target_link_libraries(systemd-dbus PRIVATE Qt::DBus)
target_include_directories(systemd-dbus PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_BINARY_DIR}>")

target_sources(DrKonqiInternal PRIVATE
    memoryfence.cpp
    memorypressure.cpp
)

target_link_libraries(DrKonqiInternal
    Systemd::systemd
    systemd-dbus
)

=== src/coredump/dumpexcavator/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause

add_library(drkonqi-coredumpexcavator OBJECT coredumpexcavator.cpp automaticcoredumpexcavator.cpp)
target_link_libraries(drkonqi-coredumpexcavator Qt6::Core Qt6::DBus)
target_include_directories(drkonqi-coredumpexcavator PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_BINARY_DIR}>")

=== src/coredump/launcher/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2019-2022 Harald Sitter <sitter@kde.org>

add_executable(drkonqi-coredump-launcher main.cpp)
target_link_libraries(drkonqi-coredump-launcher Qt::Core KF6::ConfigCore drkonqi-coredump)
target_compile_options(
    drkonqi-coredump-launcher
    PRIVATE
        -DKDE_INSTALL_FULL_LIBEXECDIR=\"${KDE_INSTALL_FULL_LIBEXECDIR}\"
        -DKDE_KDE_INSTALL_PLUGINDIR=\"${KDE_INSTALL_PLUGINDIR}\"
)
install(TARGETS drkonqi-coredump-launcher DESTINATION ${KDE_INSTALL_LIBEXECDIR})

configure_file(drkonqi-coredump-launcher@.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-coredump-launcher@.service)
install(
    FILES drkonqi-coredump-launcher.socket ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-coredump-launcher@.service
    DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR}
)
install(CODE "
    include(${CMAKE_SOURCE_DIR}/cmake/SystemctlEnable.cmake)
    systemctl_enable(drkonqi-coredump-launcher.socket sockets.target ${KDE_INSTALL_FULL_SYSTEMDUSERUNITDIR})
")

# The reason this is a plugin is so the main exe doesn't need to link against kio and knotifications needlessly.
add_library(KDECoredumpNotifierTruck MODULE NotifierTruck.cpp NotifierTruck.h)
target_link_libraries(KDECoredumpNotifierTruck Qt::Core KF6::Notifications KF6::KIOGui drkonqi-coredump)
install(TARGETS KDECoredumpNotifierTruck DESTINATION ${KDE_INSTALL_PLUGINDIR}/drkonqi/)

=== src/sentry/postman/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2023 Harald Sitter <sitter@kde.org>

add_executable(drkonqi-sentry-postman main.cpp)
target_link_libraries(drkonqi-sentry-postman
    DrKonqiSentryInternal
)

install(TARGETS drkonqi-sentry-postman DESTINATION ${KDE_INSTALL_LIBEXECDIR})

configure_file(drkonqi-sentry-postman.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-sentry-postman.service)
install(
    FILES drkonqi-sentry-postman.timer drkonqi-sentry-postman.path ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-sentry-postman.service
    DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR}
)
install(CODE "
    include(${CMAKE_SOURCE_DIR}/cmake/SystemctlEnable.cmake)
    systemctl_enable(drkonqi-sentry-postman.path default.target ${KDE_INSTALL_FULL_SYSTEMDUSERUNITDIR})
    systemctl_enable(drkonqi-sentry-postman.path plasma-core.target ${KDE_INSTALL_FULL_SYSTEMDUSERUNITDIR})
    systemctl_enable(drkonqi-sentry-postman.timer timers.target ${KDE_INSTALL_FULL_SYSTEMDUSERUNITDIR})
    systemctl_enable(drkonqi-sentry-postman.timer plasma-core.target ${KDE_INSTALL_FULL_SYSTEMDUSERUNITDIR})
")

=== src/tests/bugzillalibtest/CMakeLists.txt ===
set(bugzillalibtest_SRCS bugzillalibtest.cpp)

ecm_qt_declare_logging_category(
    bugzillalibtest_SRCS
    HEADER drkonqi_debug.h
    IDENTIFIER DRKONQI_LOG
    CATEGORY_NAME org.kde.drkonqi
)

add_executable(bugzillalibtest ${bugzillalibtest_SRCS})
ecm_mark_as_test(bugzillalibtest)

target_link_libraries(bugzillalibtest KF6::KIOWidgets KF6::I18n qbugzilla DrKonqiInternal)

=== src/tests/crashtest/CMakeLists.txt ===
add_executable(crashtest crashtest.cpp)
ecm_mark_as_test(crashtest)
ecm_mark_nongui_executable(crashtest)
target_link_libraries(crashtest KF6::Crash KF6::CoreAddons Qt::Gui Qt::Concurrent)

=== src/bugzillaintegration/libbugzilla/autotests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include(ECMAddTests)
include(GenerateExportHeader)

# Include src so we have access to config-kcrash.h
include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

ecm_add_tests(
    attachmenttest.cpp
    bugtest.cpp
    bugfieldtest.cpp
    bugzillatest.cpp
    commenttest.cpp
    connectiontest.cpp
    producttest.cpp
    LINK_LIBRARIES Qt::Core Qt::Test Qt::Network qbugzilla
)

ecm_mark_nongui_executable(bugzillatest)

=== src/coredump/cleanup/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

if(NOT BUILD_TESTING)
    return()
endif()

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

ecm_add_tests(cleanuptest.cpp LINK_LIBRARIES Qt::Core Qt::Test TARGET_NAMES_VAR cleanuptest_TARGET)
add_dependencies(${cleanuptest_TARGET} drkonqi-coredump-cleanup)

=== debian/changelog ===
drkonqi (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:22:35 +0100

=== debian/control ===
Source: drkonqi
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6idletime-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6syntaxhighlighting-dev (>= 6.18.0~),
               libkf6wallet-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libpolkit-qt6-1-dev,
               libsystemd-dev [linux-any],
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/drkonqi
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git

Package: drkonqi
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-syntaxhighlighting,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: python3-psutil,
            python3-sentry-sdk,
            systemd-coredump [linux-any],
Description: Crash handler for Qt applications
 Drkonqi shows a dialog for dealing with application crashes.
 .
 Drkonqi also doesn't technically require a process to actually crash, you
 can simply run it manually on any old pid. Do note that in most cases you
 only need to define the pid, however not giving certain cmdline options can
 change behavior somewhat drastically (e.g. kdeinit vs. notkdeinit behaves
 radically different as far as process name detection goes) . Drkonqi has a
 number of backends that may be used. Backends are stacked by order of
 preference, backends in the directory of the binary are most preferred.
 This means that you can dump debuggers/internal/ into your build's bin/
 directory and override for example gdb. This essentially allows you to
 replace the gdb debugger with a cat of a fixture file to not have to trace
 live processes at all.

## drkonqi 6.5.3

=== debian/changelog ===
drkonqi (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:22:44 +0100

## drkonqi 6.5.3+p24.04+vunstable+git20251204.0526

=== debian/changelog ===
drkonqi (6.5.3+p24.04+vunstable+git20251204.0526-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:26:35 +0000

drkonqi (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:15:42 +1000

drkonqi (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:14:41 +1000

## drkonqi 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(drkonqi)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.4")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
drkonqi (6.5.4-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add elfutils to dependencies, eu-unstrip is required to get actual
    crash reports.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 17 Dec 2025 07:59:06 +0100

drkonqi (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:50:32 +0100

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,8 @@
 
 Package: drkonqi
 Architecture: any
-Depends: qml6-module-org-kde-kirigami,
+Depends: elfutils,
+         qml6-module-org-kde-kirigami,
          qml6-module-org-kde-kitemmodels,
          qml6-module-org-kde-syntaxhighlighting,
          ${misc:Depends},

## drkonqi 6.5.4+p24.04+vstable+git20251224.0726

=== debian/changelog ===
drkonqi (6.5.4+p24.04+vstable+git20251224.0726-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 07:26:56 +0000

drkonqi (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:24:02 +1000

## drkonqi 6.5.4+p24.04+vstable+git20251231.0201

=== debian/changelog ===
drkonqi (6.5.4+p24.04+vstable+git20251231.0201-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:01:22 +0000

## drkonqi 6.5.4+p24.04+vunstable+git20251226.0048

=== debian/changelog ===
drkonqi (6.5.4+p24.04+vunstable+git20251226.0048-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 00:48:55 +0000

## drkonqi 6.5.4+p24.04+vunstable+git20260101.2114

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(drkonqi)
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.80")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
@@ -30,6 +30,15 @@
 include(FindPythonModule)
 
 option(WITH_PYTHON_VENDORING "Python dependency vendoring (cmake will install python dependencies into drkonqi's python tree)" ON)
+option(WITH_GLOBAL_NOTIFIER "Build the global notifier that notifies about all coredumps on the system" ON)
+
+# Please disable it if your distribution does not intend to ship supported versions of KDE software.
+# e.g. if you are a LTS-style distro that only ships security fixes please disable this.
+# Users still get notified about crashes and guided towards reporting them to your bug tracker (via os-release's BUG_REPORT_URL).
+# This prevents users from reporting crashes in outdated software and then getting their bug closed immediately by a bot.
+# https://bugs.kde.org/show_bug.cgi?id=491790
+option(WITH_DRKONQI_REPORTING "Guided UI reporting of crashes via DrKonqi, also Sentry." ON)
+add_feature_info(Reporting WITH_DRKONQI_REPORTING "guided reports to the KDE bugzilla. Disable when shipping older KDE software!")
 
 kde_enable_exceptions()
 
@@ -72,8 +81,10 @@
 find_package(GDB 12)
 set_package_properties(GDB PROPERTIES TYPE RUNTIME PURPOSE "GDB is required for debugging")
 
-find_package(eu-unstrip)
-set_package_properties(eu-unstrip PROPERTIES TYPE RUNTIME PURPOSE "eu-unstrip is required for debugging")
+if(GDB_VERSION VERSION_LESS "18")
+    find_package(eu-unstrip)
+    set_package_properties(eu-unstrip PROPERTIES TYPE RUNTIME PURPOSE "eu-unstrip is required for debugging")
+endif()
 
 ecm_set_disabled_deprecation_versions(QT 5.15.2
     KF 5.240
@@ -94,6 +105,15 @@
     PURPOSE "Required for coredumpd support to work at runtime!"
 )
 
+find_package(flatpak-coredumpctl)
+set_package_properties(
+    flatpak-coredumpctl
+    PROPERTIES
+    TYPE RUNTIME
+    DESCRIPTION "coredumpd CLI wrapper for flatpaks. part of flatpak"
+    PURPOSE "for debugging flatpaks. ONLY skip this if you absolutely cannot run flatpak on your system"
+)
+
 add_subdirectory(src)
 
 # add clang-format target for all our real source files

## drkonqi 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(drkonqi)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.5")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
@@ -30,15 +30,6 @@
 include(FindPythonModule)
 
 option(WITH_PYTHON_VENDORING "Python dependency vendoring (cmake will install python dependencies into drkonqi's python tree)" ON)
-option(WITH_GLOBAL_NOTIFIER "Build the global notifier that notifies about all coredumps on the system" ON)
-
-# Please disable it if your distribution does not intend to ship supported versions of KDE software.
-# e.g. if you are a LTS-style distro that only ships security fixes please disable this.
-# Users still get notified about crashes and guided towards reporting them to your bug tracker (via os-release's BUG_REPORT_URL).
-# This prevents users from reporting crashes in outdated software and then getting their bug closed immediately by a bot.
-# https://bugs.kde.org/show_bug.cgi?id=491790
-option(WITH_DRKONQI_REPORTING "Guided UI reporting of crashes via DrKonqi, also Sentry." ON)
-add_feature_info(Reporting WITH_DRKONQI_REPORTING "guided reports to the KDE bugzilla. Disable when shipping older KDE software!")
 
 kde_enable_exceptions()
 
@@ -81,10 +72,8 @@
 find_package(GDB 12)
 set_package_properties(GDB PROPERTIES TYPE RUNTIME PURPOSE "GDB is required for debugging")
 
-if(GDB_VERSION VERSION_LESS "18")
-    find_package(eu-unstrip)
-    set_package_properties(eu-unstrip PROPERTIES TYPE RUNTIME PURPOSE "eu-unstrip is required for debugging")
-endif()
+find_package(eu-unstrip)
+set_package_properties(eu-unstrip PROPERTIES TYPE RUNTIME PURPOSE "eu-unstrip is required for debugging")
 
 ecm_set_disabled_deprecation_versions(QT 5.15.2
     KF 5.240
@@ -105,15 +94,6 @@
     PURPOSE "Required for coredumpd support to work at runtime!"
 )
 
-find_package(flatpak-coredumpctl)
-set_package_properties(
-    flatpak-coredumpctl
-    PROPERTIES
-    TYPE RUNTIME
-    DESCRIPTION "coredumpd CLI wrapper for flatpaks. part of flatpak"
-    PURPOSE "for debugging flatpaks. ONLY skip this if you absolutely cannot run flatpak on your system"
-)
-
 add_subdirectory(src)
 
 # add clang-format target for all our real source files

=== debian/changelog ===
drkonqi (6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:36:26 +0000

drkonqi (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:53:45 +0000

drkonqi (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:16:23 +0000

drkonqi (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:06:03 +0000

drkonqi (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:10:40 +0000

drkonqi (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:44:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: drkonqi
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf6config-dev (>= 6.18.0~),
@@ -29,10 +30,11 @@
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                zlib1g-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/drkonqi
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
+Rules-Requires-Root: no
 
 Package: drkonqi
 Architecture: any
@@ -42,9 +44,8 @@
          qml6-module-org-kde-syntaxhighlighting,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: python3-psutil,
-            python3-sentry-sdk,
-            systemd-coredump [linux-any],
+Recommends: python3-psutil, python3-sentry-sdk,
+Suggests: systemd-coredump [linux-any],
 Description: Crash handler for Qt applications
  Drkonqi shows a dialog for dealing with application crashes.
  .

## drkonqi 6.5.5+p24.04+vstable+git20260129.0043

=== debian/changelog ===
drkonqi (6.5.5+p24.04+vstable+git20260129.0043-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 00:43:49 +0000

drkonqi (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:33:08 +1000

## drkonqi 6.5.5+p24.04+vstable+git20260130.0846

=== debian/changelog ===
drkonqi (6.5.5+p24.04+vstable+git20260130.0846-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:46:27 +0000

## drkonqi 6.5.5+p24.04+vunstable+git20260126.0934

=== debian/changelog ===
drkonqi (6.5.5+p24.04+vunstable+git20260126.0934-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 09:34:41 +0000

## drkonqi 6.5.5+p24.04+vunstable+git20260130.0819

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(drkonqi)
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -30,6 +30,15 @@
 include(FindPythonModule)
 
 option(WITH_PYTHON_VENDORING "Python dependency vendoring (cmake will install python dependencies into drkonqi's python tree)" ON)
+option(WITH_GLOBAL_NOTIFIER "Build the global notifier that notifies about all coredumps on the system" ON)
+
+# Please disable it if your distribution does not intend to ship supported versions of KDE software.
+# e.g. if you are a LTS-style distro that only ships security fixes please disable this.
+# Users still get notified about crashes and guided towards reporting them to your bug tracker (via os-release's BUG_REPORT_URL).
+# This prevents users from reporting crashes in outdated software and then getting their bug closed immediately by a bot.
+# https://bugs.kde.org/show_bug.cgi?id=491790
+option(WITH_DRKONQI_REPORTING "Guided UI reporting of crashes via DrKonqi, also Sentry." ON)
+add_feature_info(Reporting WITH_DRKONQI_REPORTING "guided reports to the KDE bugzilla. Disable when shipping older KDE software!")
 
 kde_enable_exceptions()
 
@@ -72,8 +81,10 @@
 find_package(GDB 12)
 set_package_properties(GDB PROPERTIES TYPE RUNTIME PURPOSE "GDB is required for debugging")
 
-find_package(eu-unstrip)
-set_package_properties(eu-unstrip PROPERTIES TYPE RUNTIME PURPOSE "eu-unstrip is required for debugging")
+if(GDB_VERSION VERSION_LESS "18")
+    find_package(eu-unstrip)
+    set_package_properties(eu-unstrip PROPERTIES TYPE RUNTIME PURPOSE "eu-unstrip is required for debugging")
+endif()
 
 ecm_set_disabled_deprecation_versions(QT 5.15.2
     KF 5.240
@@ -94,6 +105,15 @@
     PURPOSE "Required for coredumpd support to work at runtime!"
 )
 
+find_package(flatpak-coredumpctl)
+set_package_properties(
+    flatpak-coredumpctl
+    PROPERTIES
+    TYPE RUNTIME
+    DESCRIPTION "coredumpd CLI wrapper for flatpaks. part of flatpak"
+    PURPOSE "for debugging flatpaks. ONLY skip this if you absolutely cannot run flatpak on your system"
+)
+
 add_subdirectory(src)
 
 # add clang-format target for all our real source files

=== debian/changelog ===
drkonqi (6.5.5+p24.04+vunstable+git20260130.0819-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:19:17 +0000

## drkonqi 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(drkonqi)
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")

=== debian/changelog ===
drkonqi (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:12:19 +0000

## drkonqi 6.6.2

=== src/core/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2025 Harald Sitter <sitter@kde.org>

# Core library ideally only depending on Qt::Core and KCoreAddons.
# Place to put helper code that is used throughout the stack. Both our CoreApps and GUIApps.
add_library(drkonqi-core STATIC metadata.cpp drkonqipaths.cpp)
target_link_libraries(drkonqi-core PUBLIC Qt::Core)
target_compile_options(
    drkonqi-core
    PRIVATE
        -DKDE_INSTALL_FULL_LIBEXECDIR=\"${KDE_INSTALL_FULL_LIBEXECDIR}\"
)

=== src/coredump/launcher/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2019-2022 Harald Sitter <sitter@kde.org>

add_executable(drkonqi-coredump-launcher main.cpp GlobalNotifierTruck.cpp DevNotifierTruck.cpp)
target_link_libraries(drkonqi-coredump-launcher
    PRIVATE
        Qt::Core
        KF6::ConfigCore
        KF6::Notifications
        KF6::KIOGui
        KF6::I18n
        KF6::Crash
        drkonqi-core
        drkonqi-coredump
)
if(WITH_GLOBAL_NOTIFIER)
    target_compile_definitions(drkonqi-coredump-launcher PRIVATE -DWITH_GLOBAL_NOTIFIER)
endif()
if(WITH_DRKONQI_REPORTING)
    target_compile_definitions(drkonqi-coredump-launcher PRIVATE -DWITH_DRKONQI_REPORTING)
endif()
install(TARGETS drkonqi-coredump-launcher DESTINATION ${KDE_INSTALL_LIBEXECDIR})

configure_file(drkonqi-coredump-launcher@.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-coredump-launcher@.service)
install(
    FILES drkonqi-coredump-launcher.socket ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-coredump-launcher@.service
    DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR}
)
install(CODE "
    include(${CMAKE_SOURCE_DIR}/cmake/SystemctlEnable.cmake)
    systemctl_enable(drkonqi-coredump-launcher.socket sockets.target ${KDE_INSTALL_FULL_SYSTEMDUSERUNITDIR})
")
install( FILES drkonqi-coredump-launcher.notifyrc DESTINATION  ${KDE_INSTALL_KNOTIFYRCDIR})

=== debian/changelog ===
drkonqi (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:20:58 +0000

=== debian/control ===
--- 
+++ 
@@ -8,27 +8,27 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6crash-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6idletime-dev (>= 6.18.0~),
-               libkf6jobwidgets-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6notifications-dev (>= 6.18.0~),
-               libkf6service-dev (>= 6.18.0~),
-               libkf6statusnotifieritem-dev (>= 6.18.0~),
-               libkf6syntaxhighlighting-dev (>= 6.18.0~),
-               libkf6wallet-dev (>= 6.18.0~),
-               libkf6widgetsaddons-dev (>= 6.18.0~),
-               libkf6windowsystem-dev (>= 6.18.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6crash-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6idletime-dev (>= 6.22.0~),
+               libkf6jobwidgets-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6notifications-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
+               libkf6statusnotifieritem-dev (>= 6.22.0~),
+               libkf6syntaxhighlighting-dev (>= 6.22.0~),
+               libkf6wallet-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
+               libkf6windowsystem-dev (>= 6.22.0~),
                libpolkit-qt6-1-dev,
                libsystemd-dev [linux-any],
                pkgconf,
-               qt6-base-dev (>= 6.9.0~),
-               qt6-declarative-dev (>= 6.9.0~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
                zlib1g-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/drkonqi
